<?php
require('include/configuracion.php');
conexion();
//include("include/init_array.php");
//include("include/lectura.php");	

$sql="select * from pf_productor ";
$resultado = mssql_query($sql,$conn) or die("No puede leer pf_productor<br>".$sql);
if (!$resultado) {
	echo "<b>Error de busqueda</b>";
	exit;
}
$filas = rows_affected();
if ($filas==0) {
	echo "no existe pf_productor";
	exit;
}
for ($i=0;$i<$filas;$i++) {
	echo mssql_result($resultado,$i, "id_productor");	
	echo mssql_result($resultado,$i, "nombre_productor")."<br>";	
}

/*
$datos=array('proveedor','');
$nc=array('nombre','resultado');
$tc=array('vc200','output');

ejecutarsql('crear_productor',$datos,$nc,$tc);
*/


/*
set ANSI_NULLS ON
set QUOTED_IDENTIFIER ON
GO
alter procedure crear_productor
@nombre nvarchar(200),
 @resultado nvarchar(200) OUTPUT
as
begin
    insert into pf_productor(nombre_productor) values (@nombre);
	set @resultado='ok';
end


*/

/*
$arr = mssql_fetch_row($resultado);

$OutputParam1 = $arr[0];
$OutputParam2 = $arr[1]; 



set ANSI_NULLS ON
set QUOTED_IDENTIFIER ON
GO
ALTER procedure Modificar_productor
@id int,
@nombre nvarchar(200),
 @resultado nvarchar(200) OUTPUT
as
set XACT_ABORT ON
begin try
    update pf_productor set nombre_productor=@nombre where id_productor=@id;
	set @resultado='ok';
end try
begin catch
	rollback
	set @resultado='no';
end catch



*/
?>